Skip to main content
`Ctrl`+`K`

# SVDReallocateSolution

Reallocate memory storage for common variables such as the singular values and the basis vectors.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDReallocateSolution(SVD svd,PetscInt newsize)

Collective

## Input Parameters

- svd - the singular value solver context

- newsize - new size

## Developer Notes

This is `SLEPC_EXTERN` because it may be required by user plugin SVD implementations.

This is called during the iteration in case the threshold stopping test has been selected.

## See Also

SVD: Singular Value Decomposition, `SVDAllocateSolution()`, `SVDSetThreshold()`

## Level

developer

## Location

src/svd/interface/svdsetup.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages